For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mappings

Returns mappings matching the given search criteria.

get

Returns mappings matching the given search criteria.

Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored.

The returned synchronization information satisfies all constraints that are specified in this search criteria. By default a result containing 1000 mappings is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
externalSystemIdstring · min: 1 · max: 36Optional

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Optional

The external ID of the mapped resource.

Example: ID_1234
mappedResourceIdstring · min: 1 · max: 36Optional

The ID of the mapped resource.

Example: acf79448-db2f-4552-bef9-29128991be9e
mappedResourceTypestring · enumOptional

The type of the mapped resource.

Example: AssetPossible values:
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

The paged response with found synchronization information.

application/json
totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/mappings
200

The paged response with found synchronization information.

Adds a new mapping.

post

Adds a new mapping.

Authorizations
AuthorizationstringRequired
Body

The properties of the mapping to be added.

idstring · uuidOptional

The ID of the new mapping. Should be unique within all mappings.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

Example: 6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00
externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Required

The external ID of the mapped resource.

Example: ID_1234
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidRequired

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475503010320
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
201

Mapping successfully added.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
post/mappings

Adds new mappings.

post

Adds new mappings.

Authorizations
AuthorizationstringRequired
Bodyobject · AddMappingRequest[]

The properties of the mapping to be added.

idstring · uuidOptional

The ID of the new mapping. Should be unique within all mappings.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.

Example: 6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00
externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Required

The external ID of the mapped resource.

Example: ID_1234
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidRequired

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475503010320
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
201

Mappings successfully added.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
post/mappings/bulk
201

Mappings successfully added.

Changes multiple mappings identified by their ids.

patch

Change the mappings identified by its ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Bodyobject · ChangeMappingRequest[]

The properties of the mapping to be changed, for the mapping identified by its ID.

idstring · uuidRequired

The ID of the mapping to be changed. Silently ignored if the ID is provided as path parameter of the request.

externalSystemIdstring · min: 1 · max: 36Optional

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Optional

The external ID of the mapped resource.

Example: ID_1234
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidOptional

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mappings successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/bulk

Returns a mapping identified by given id.

get

Returns a mapping identified by given id.

Authorizations
AuthorizationstringRequired
Path parameters
mappingIdstring · uuidRequired

The id of the mapping.

Responses
200

Mapping successfully found.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
get/mappings/{mappingId}

Removes the mapping identified by its id.

delete

Removes the mapping identified by its id.

If the mapping does not exist, an exception is NOT thrown.

Authorizations
AuthorizationstringRequired
Path parameters
mappingIdstring · uuidRequired

The id of the mapping.

Responses
204

Mapping successfully removed.

No content

delete/mappings/{mappingId}
204

Mapping successfully removed.

No content

Changes the mapping identified by its id.

patch

Change the mapping identified by its id with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
mappingIdstring · uuidRequired

The ID of the mapping to be changed.

Body

The properties of the mapping to be changed, for the mapping identified by its ID.

idstring · uuidRequired

The ID of the mapping to be changed. Silently ignored if the ID is provided as path parameter of the request.

externalSystemIdstring · min: 1 · max: 36Optional

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Optional

The external ID of the mapped resource.

Example: ID_1234
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidOptional

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mapping successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/{mappingId}

Returns a mapping identified by its external ids.

get

Returns a mapping identified by its external ids.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
externalEntityIdstring · min: 1 · max: 255Required

The external ID of the mapped resource.

Example: ID_1234
Responses
200

Mapping successfully found.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
get/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId}

Removes the mapping identified by its external ids.

delete

Removes the mapping identified by its external ids.

If the mapping does not exist, an exception is NOT thrown.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstringRequired

The external system id of the mapping to be removed.

externalEntityIdstringRequired

The external entity id of the mapping to be removed.

Responses
204

Mapping successfully removed.

No content

delete/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId}
204

Mapping successfully removed.

No content

Changes the mapping identified by its external ids.

patch

Changes the mapping identified by its external ids with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstringRequired

The external system ID of the mapping to be changed.

externalEntityIdstringRequired

The external entity ID of the mapping to be changed.

Body

The properties of the mapping to be changed, for the mapping identified by its external IDs.

externalSystemIdstring · min: 1 · max: 36Required
externalEntityIdstring · min: 1 · max: 255Required
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidOptional

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mapping successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId}

Returns a mapping identified by its external system id and mapped resource id.

get

Returns a mapping identified by its external system id and mapped resource id.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: EXT_BI_SYS
mappedResourceIdstring · uuidRequired

The ID of the mapped resource.

Responses
200

Mapping successfully found.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
get/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId}

Removes the mapping identified by its external system id and mapped resource id.

delete

Removes the mapping identified by its external system id and mapped resource id.

If the mapping does not exist, an exception is NOT thrown.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstringRequired

The external system id of the mapping to be changed.

mappedResourceIdstringRequired

The mapped resource id of the mapping to be changed.

Responses
204

Mapping successfully removed.

No content

delete/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId}
204

Mapping successfully removed.

No content

Changes the mapping identified by its external system id and mapped resource id.

patch

Changes the mapping identified by its external system id and mapped resource id with the information that is present in the requests. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstringRequired

The external system id of the mapping to be changed.

mappedResourceIdstring · uuidRequired

The mapped resource id of the mapping to be changed.

Body

The properties of the mapping to be changed, for the mapping identified by its external system IDs and mapped resource ID.

externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: 123e4567-e89b-12d3-a456-426614174000
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidRequired

The ID of the mapped resource. Silently ignored if the ID of the mapped resource is provided as path parameter of the request.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mapping successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId}

Changes the mappings identified by their external ids.

patch

Changes the mappings identified by their external ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Bodyobject · ChangeMappingByExternalEntityRequest[]

The properties of the mapping to be changed, for the mapping identified by its external IDs.

externalSystemIdstring · min: 1 · max: 36Required
externalEntityIdstring · min: 1 · max: 255Required
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidOptional

The ID of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mappings successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/externalSystem/externalEntity/bulk

Changes the mapping identified by their external system ids and mapped resource ids.

patch

Changes the mapping identified by their external system ids and mapped resource ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Bodyobject · ChangeMappingByMappedResourceRequest[]

The properties of the mapping to be changed, for the mapping identified by its external system IDs and mapped resource ID.

externalSystemIdstring · min: 1 · max: 36Required

The ID of the external system that the mapped resource belongs to.

Example: 123e4567-e89b-12d3-a456-426614174000
externalEntityUrlstring · min: 1 · max: 255Optional

The external URL of the mapped resource.

Example: https://example.com
descriptionstringOptional

The description of the mapped resource. If specified, it should not exceed 255 characters.

Example: This is the description of the linked asset.
mappedResourceIdstring · uuidRequired

The ID of the mapped resource. Silently ignored if the ID of the mapped resource is provided as path parameter of the request.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Possible values:
Responses
200

Mappings successfully changed.

application/json

Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
externalSystemIdstringOptional

The id of the external system that the mapped resource belongs to.

Example: 6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9
externalEntityIdstringOptional

The external id of the mapped resource.

Example: 844c85ed-b851-438f-8207-62843b747733
externalEntityUrlstringOptional

The external URL of the mapped resource.

Example: https://www.collibra.com
descriptionstringOptional

The description of the mapped resource.

lastSyncDateinteger · int64Optional

The timestamp (in UTC time standard) of the last synchronization of mapped resource.

Example: 1475904011120
syncActionstring · enumOptional

Represents the type of the action performed during last successful synchronization

Example: ADDPossible values:
patch/mappings/externalSystem/mappedResource/bulk

Removes all the mappings identified by given external system id.

post

Removes all the mappings identified by given external system id.

Authorizations
AuthorizationstringRequired
Path parameters
externalSystemIdstringRequired

The id of the external system of the mappings that will be removed.

Responses
200

Mappings removal successfully started.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/mappings/externalSystem/{externalSystemId}/removalJobs
200

Mappings removal successfully started.

Removes multiple mappings in job.

post

Removes multiple mappings in job.

If any mapping does not exist, an exception is NOT thrown.

Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

Mappings removal successfully started.

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/mappings/removalJobs
200

Mappings removal successfully started.

Last updated

Was this helpful?